Name:           polyxmass-bin
Version:        0.9.7
Release:        2%{?dist}
Summary:        The GNU polyxmass software suite

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://www.polyxmass.org/
Source0:        http://www.polyxmass.org/polyxmass-bin/downloads/0.9.7/polyxmass-bin-0.9.7.tar.gz
Source1:        polyxmass.desktop
Patch0:         polyxmass-bin-gtk-tooltip.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpolyxmass-devel >= 0.9.0
BuildRequires:  gtk2-devel >= 2.4.10
BuildRequires:  librsvg2-devel >= 2.7.2
BuildRequires:  libgnomecanvas-devel >= 2.6.1
BuildRequires:  libglade2-devel >= 2.4.0
BuildRequires:  atk-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  desktop-file-utils

%description
polyxdef is the GNU polyxmass software project's module where the
user makes/modifies polymer chemistry definitions. Those polymer
chemistry definitions are then saved to a disk file under an xml-based
format that will be understandable by other modules in the GNU
polyxmass software suite.

polyxcalc is the GNU polyxmass software project's module where the
user makes simple mass calculations on a number of chemically-relevant
elements.

polyxedit is the GNU polyxmass software project's module where the
user performs tasks on a polymer sequence.

%prep
%setup -q
%patch0

%build
%configure --disable-rpath --disable-static --without-included-gettext
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/polyxmass
%find_lang %{name}

desktop-file-install \
  --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/polyxmass
%{_mandir}/man1/*
%dir %{_datadir}/polyxmass
%{_datadir}/polyxmass/*
%dir %{_sysconfdir}/polyxmass
%{_datadir}/applications/*desktop
%{_datadir}/pixmaps/*
%exclude %{_datadir}/doc/polyxmass-bin

%changelog
* Fri Oct 26 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.7-2
- migrate to new tooltips

* Wed Aug 22 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.7-1
- version upgrade
- new license tag

* Fri Sep 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.3-2
- FE6 rebuild

* Wed Mar 15 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.3-1
- version upgrade

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.2-1
- version upgrade

* Thu Feb 16 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-2
- Rebuild for Fedora Extras 5

* Wed Jan 25 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.9.0-1
- version upgrade

* Mon Oct 24 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-4
- add dist

* Sun Oct 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-3
- add icon to desktop file

* Sun Oct 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-2
- add desktop file

* Tue Sep 06 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.9-1
- Initial Release
